kind: Deployment
apiVersion: apps/v1
metadata:
  name: TeamAPT Automation
  namespace: test-automation
spec:
  replicas: 1
  selector:
    matchLabels:
      app: TeamAPT Automation
  template:
    metadata:
      labels:
        app: TeamAPT Automation
    spec:
      containers:
        - name: TeamAPT Automation
          image: registry.gitlab.com/tcosmos/TeamAPT Automation:latest
          ports:
            - containerPort: 9000
          command: ["npm", "start"]
          resources:
            limits:
              cpu: '2'
              memory: 2Gi
      imagePullSecrets:
        - name: regcred
